(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@angular/forms'), require('@angular/router'), require('@angular/animations'), require('rxjs'), require('rxjs/operators'), require('@angular/common/http')) :
    typeof define === 'function' && define.amd ? define('tailwind-lib', ['exports', '@angular/core', '@angular/common', '@angular/forms', '@angular/router', '@angular/animations', 'rxjs', 'rxjs/operators', '@angular/common/http'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['tailwind-lib'] = {}, global.ng.core, global.ng.common, global.ng.forms, global.ng.router, global.ng.animations, global.rxjs, global.rxjs.operators, global.ng.common.http));
}(this, (function (exports, core, common, forms, router, animations, rxjs, operators, http) { 'use strict';

    var ButtonComponent = /** @class */ (function () {
        function ButtonComponent() {
            this.clickButton = new core.EventEmitter();
        }
        Object.defineProperty(ButtonComponent.prototype, "fa", {
            get: function () {
                switch (this.icon) {
                    case 'add':
                    case 'new': return 'fas fa-plus';
                    case 'save': return 'far fa-save';
                    case 'edit': return 'far fa-edit';
                    case 'back': return 'fas fa-chevron-left';
                    case 'cancel': return 'fas fa-times';
                    case 'delete': return 'far fa-trash-alt';
                    case 'search': return 'fas fa-search';
                    case 'clear':
                    case 'clearselection': return 'fas fa-eraser';
                    case 'export': return 'fas fa-file-download';
                    default: return '';
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(ButtonComponent.prototype, "internalClass", {
            get: function () {
                if (this.class)
                    return this.class;
                switch (this.icon) {
                    case 'save':
                    case 'search':
                    case 'new': return 'btn btn-primary';
                    case 'clearselection':
                    case 'edit': return 'btn btn-tertiary';
                    case 'back':
                    case 'clear':
                    case 'export':
                    case 'add':
                    case 'cancel': return 'btn btn-secondary';
                    case 'delete': return 'btn btn-tertiary danger';
                    default: return '';
                }
            },
            enumerable: false,
            configurable: true
        });
        ButtonComponent.prototype.ngOnInit = function () {
        };
        return ButtonComponent;
    }());
    ButtonComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-button',
                    template: "<button [class]=\"internalClass\" (click)=\"clickButton.emit()\" [routerLink]=\"link\">\r\n    <i [class]=\"fa\" *ngIf=\"fa\"></i>\r\n    <span>{{label}}</span>\r\n</button>\r\n\r\n",
                    styles: [""]
                },] }
    ];
    ButtonComponent.ctorParameters = function () { return []; };
    ButtonComponent.propDecorators = {
        icon: [{ type: core.Input }],
        link: [{ type: core.Input }],
        label: [{ type: core.Input }],
        class: [{ type: core.Input }],
        clickButton: [{ type: core.Output }]
    };

    var fadeAnimation = animations.trigger('fadeAnimation', [
        // The '* => *' will trigger the animation to change between any two states
        animations.transition('* => *', [
            // The query function has three params.
            // First is the event, so this will apply on entering or when the element is added to the DOM.
            // Second is a list of styles or animations to apply.
            // Third we add a config object with optional set to true, this is to signal
            // angular that the animation may not apply as it may or may not be in the DOM.
            animations.query(':enter', [animations.style({ opacity: 0 })], { optional: true }),
            animations.query(':leave', 
            // here we apply a style and use the animate function to apply the style over 0.3 seconds
            [animations.style({ opacity: 1 }), animations.animate('0.2s', animations.style({ opacity: 0 }))], { optional: true }),
            animations.query(':enter', [animations.style({ opacity: 0 }), animations.animate('0.2s', animations.style({ opacity: 1 }))], { optional: true })
        ])
    ]);
    var simpleFadeAnimation = animations.trigger('simpleFadeAnimation', [
        // the "in" style determines the "resting" state of the element when it is visible.
        animations.state('in', animations.style({ opacity: 1 })),
        // fade in when created. this could also be written as transition('void => *')
        animations.transition(':enter', [
            animations.style({ opacity: 0 }),
            animations.animate(200)
        ]),
        // fade out when destroyed. this could also be written as transition('void => *')
        animations.transition(':leave', animations.animate(200, animations.style({ opacity: 0 })))
    ]);

    var ModalComponent = /** @class */ (function () {
        function ModalComponent() {
        }
        ModalComponent.prototype.ngOnInit = function () {
        };
        ModalComponent.prototype.open = function () {
            this.show = true;
        };
        ModalComponent.prototype.close = function () {
            this.show = false;
        };
        return ModalComponent;
    }());
    ModalComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-modal',
                    template: "<div *ngIf=\"show\" [@simpleFadeAnimation]=\"'in'\" class=\"fixed bottom-0 z-20 inset-x-0 px-4 pb-4 sm:inset-0 sm:flex sm:items-center sm:justify-center\">\r\n    <div class=\"fixed inset-0 transition-opacity\" (click)=\"close()\">\r\n        <div class=\"absolute inset-0 bg-neutral-500 opacity-75\"></div>\r\n    </div>\r\n\r\n    <div class=\"bg-white overflow-hidden rounded-lg shadow-xl transform transition-all sm:max-w-5xl sm:w-full\" role=\"dialog\" aria-modal=\"true\" aria-labelledby=\"modal-headline\">\r\n        <div class=\"bg-white pl-4 pt-5 pb-4 sm:pl-6 sm:pb-4\">\r\n            <ng-content select=\"[icon]\"></ng-content>\r\n            <div class=\"mt-3 text-center sm:mt-0 sm:ml-4 sm:text-left\">\r\n                <div class=\"modal-title\">{{title}}</div>\r\n\r\n                <div class=\"mt-2 text-sm leading-5 text-neutral-500 overflow-auto\">\r\n                    <div class=\"modal-body overflow-auto\">\r\n                        <ng-content select=\"[body]\"></ng-content>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n\r\n        <div class=\"bg-neutral-100 p-4 py-3 sm:p-6 sm:flex sm:flex-row-reverse\">\r\n            <ng-content select=\"[foot]\"></ng-content>\r\n        </div>\r\n    </div>\r\n</div>\r\n",
                    animations: [simpleFadeAnimation],
                    styles: [".modal-body{max-height:75vh}"]
                },] }
    ];
    ModalComponent.ctorParameters = function () { return []; };
    ModalComponent.propDecorators = {
        title: [{ type: core.Input }]
    };

    var DropdownComponent = /** @class */ (function () {
        function DropdownComponent() {
            this.open = false;
        }
        DropdownComponent.prototype.ngOnInit = function () {
        };
        return DropdownComponent;
    }());
    DropdownComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-dropdown',
                    template: "<div class=\"relative\" (click)=\"open = !open\" (clickOutside)=\"open = false\">\r\n  <span *ngIf=\"label\" class=\"nav-item pointer py-3\" [class.active]=\"open\">{{label}}</span>\r\n  <div>\r\n      <ng-content select=\"[icon]\"></ng-content>\r\n  </div>\r\n  <div class=\"dropdown\" [class.hidden]=\"!open\">\r\n      <ng-content select=\"[options]\"></ng-content>\r\n  </div>\r\n</div>\r\n",
                    styles: [""]
                },] }
    ];
    DropdownComponent.ctorParameters = function () { return []; };
    DropdownComponent.propDecorators = {
        label: [{ type: core.Input }]
    };

    var AutocompleteComponent = /** @class */ (function () {
        function AutocompleteComponent() {
            this.valueChange = new core.EventEmitter();
            this.items = [];
            this.search = new core.EventEmitter();
            this.limitToList = false;
            this.disabled = false;
            this.searchTerms = new rxjs.Subject();
            this.open = false;
            this.selectedIdx = -1;
        }
        AutocompleteComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.searchTerms.pipe(operators.debounceTime(500), operators.distinctUntilChanged()).subscribe(function (x) { return _this.search.next(x); });
        };
        AutocompleteComponent.prototype.searchValue = function () {
            this.searchTerms.next(this.value);
            this.open = true;
            this.selectedIdx = -1;
        };
        AutocompleteComponent.prototype.changeValue = function () {
            var _this = this;
            setTimeout(function () {
                if (_this.limitToList && _this.items.filter(function (x) { return x == _this.value; }).length == 0)
                    _this.value = null;
                _this.valueChange.emit(_this.value);
                _this.open = false;
            }, 500);
        };
        AutocompleteComponent.prototype.clickItem = function (item) {
            this.value = item;
        };
        AutocompleteComponent.prototype.keyup = function (event) {
            switch (event.code) {
                case 'ArrowDown':
                    if (this.items.length > 0 && this.selectedIdx < this.items.length - 1)
                        this.selectedIdx++;
                    break;
                case 'ArrowUp':
                    if (this.items.length > 0 && this.selectedIdx > 0)
                        this.selectedIdx--;
                    break;
                case 'Enter':
                    this.value = this.items[this.selectedIdx];
                    this.changeValue();
                    break;
                default:
                    this.searchValue();
                    break;
            }
        };
        return AutocompleteComponent;
    }());
    AutocompleteComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-autocomplete',
                    template: "<div class=\"autocomplete\">\r\n  <input (keyup)=\"keyup($event)\" [(ngModel)]=\"value\" (change)=\"changeValue()\" type=\"text\" class=\"form-control\" #autocomplete [disabled]=\"disabled\">\r\n  <div *ngIf=\"open && items?.length > 0\" class=\"list\">\r\n      <div [class.active]=\"idx == selectedIdx\" class=\"list-item\" *ngFor=\"let item of items; let idx = index\" (click)=\"clickItem(item)\" [innerHTML]=\"item | highlight:value\"></div>\r\n  </div>\r\n</div>\r\n",
                    styles: [""]
                },] }
    ];
    AutocompleteComponent.ctorParameters = function () { return []; };
    AutocompleteComponent.propDecorators = {
        value: [{ type: core.Input }],
        valueChange: [{ type: core.Output }],
        items: [{ type: core.Input }],
        search: [{ type: core.Output }],
        limitToList: [{ type: core.Input }],
        disabled: [{ type: core.Input }]
    };

    var HighlightPipe = /** @class */ (function () {
        function HighlightPipe() {
        }
        HighlightPipe.prototype.transform = function (value, term) {
            if (!term || !value)
                return value;
            term = this.removeDiacritics(term.toLowerCase());
            var idx = this.removeDiacritics(value.toLowerCase()).indexOf(term);
            if (idx == -1)
                return value;
            var start = value.substr(0, idx);
            var highlight = value.substr(idx, term.length);
            var end = value.substr(idx + term.length);
            return start + "<strong>" + highlight + "</strong>" + end;
        };
        HighlightPipe.prototype.removeDiacritics = function (term) {
            term = term.toString().toLowerCase();
            return term.normalize('NFD').replace(/[\u0300-\u036f]/g, '');
        };
        return HighlightPipe;
    }());
    HighlightPipe.decorators = [
        { type: core.Pipe, args: [{
                    name: 'highlight'
                },] }
    ];

    var PaginationComponent = /** @class */ (function () {
        function PaginationComponent() {
            this.pageSize = 20;
            this.maxSize = 5;
            this.pageChange = new core.EventEmitter();
            this.pageChanged = new core.EventEmitter();
            this.pages = [];
        }
        Object.defineProperty(PaginationComponent.prototype, "totalPages", {
            get: function () {
                return Math.ceil(this.totalRecords / this.pageSize);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(PaginationComponent.prototype, "firstRecord", {
            get: function () {
                return 1 + ((this.page - 1) * this.pageSize);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(PaginationComponent.prototype, "lastRecord", {
            get: function () {
                var i = this.page * this.pageSize;
                if (i > this.totalRecords)
                    i = this.totalRecords;
                return i;
            },
            enumerable: false,
            configurable: true
        });
        PaginationComponent.prototype.ngOnInit = function () {
        };
        PaginationComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            setTimeout(function () { return _this.updatePages(); });
        };
        PaginationComponent.prototype.ngOnChanges = function (changes) {
            var _a, _b, _c, _d, _e, _f, _g, _h, _j;
            if (!((_a = changes.pageSize) === null || _a === void 0 ? void 0 : _a.firstChange) && ((_b = changes.pageSize) === null || _b === void 0 ? void 0 : _b.currentValue) != ((_c = changes.pageSize) === null || _c === void 0 ? void 0 : _c.previousValue))
                this.updatePages();
            if (!((_d = changes.totalRecords) === null || _d === void 0 ? void 0 : _d.firstChange) && ((_e = changes.totalRecords) === null || _e === void 0 ? void 0 : _e.currentValue) != ((_f = changes.totalRecords) === null || _f === void 0 ? void 0 : _f.previousValue))
                this.updatePages();
            if (!((_g = changes.page) === null || _g === void 0 ? void 0 : _g.firstChange) && ((_h = changes.page) === null || _h === void 0 ? void 0 : _h.currentValue) != ((_j = changes.page) === null || _j === void 0 ? void 0 : _j.previousValue))
                this.updatePages();
        };
        PaginationComponent.prototype.updatePages = function () {
            if (this.page > this.totalPages)
                this.page = this.totalPages;
            if (this.page <= 0)
                this.page = 1;
            var backward = Math.trunc(this.maxSize / 2);
            var forward = Math.round(this.maxSize / 2) - 1;
            var start = this.page - backward;
            var end = this.page + forward;
            if (this.totalPages <= this.maxSize) {
                start = 1;
                end = this.totalPages;
            }
            else {
                if (start <= 0) {
                    end += 1 - start;
                    start = 1;
                }
                if (end >= this.totalPages) {
                    var i = end - this.totalPages;
                    start -= i;
                    end = this.totalPages;
                }
            }
            this.pages = [];
            for (var i = start; i <= end; i++)
                this.pages.push(i);
        };
        PaginationComponent.prototype.paginate = function (page) {
            this.page = page;
            this.pageChange.emit(page);
            this.pageChanged.emit(page);
        };
        PaginationComponent.prototype.goToFirst = function () {
            this.paginate(1);
            this.updatePages();
        };
        PaginationComponent.prototype.canGoFirst = function () {
            return this.page != 1;
        };
        PaginationComponent.prototype.goToLast = function () {
            this.paginate(this.totalPages);
            this.updatePages();
        };
        PaginationComponent.prototype.canGoLast = function () {
            return this.page != this.totalPages && this.totalPages > 0;
        };
        PaginationComponent.prototype.goToPrevious = function () {
            if (this.page > 1)
                this.paginate(this.page - 1);
            this.updatePages();
        };
        PaginationComponent.prototype.canGoPrevious = function () {
            return this.page > 1;
        };
        PaginationComponent.prototype.goToNext = function () {
            if (this.page < this.totalPages)
                this.paginate(this.page + 1);
            this.updatePages();
        };
        PaginationComponent.prototype.canGoNext = function () {
            return this.page < this.totalPages;
        };
        return PaginationComponent;
    }());
    PaginationComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-pagination',
                    template: "<div class=\"flex justify-between my-2\">\r\n  <div class=\"subtitle pt-5 pl-7\" *ngIf=\"totalRecords > 0\">\r\n      <span i18n=\"@@MostrandoRegistros\">Mostrando los registros</span><span class=\"mx-1\">{{firstRecord}}</span> <span i18n=\"@@A\">a</span> <span class=\"mx-1\">{{lastRecord}}</span>\r\n      <span i18n=\"@@DeTotalDe\">de un total de</span><span class=\"ml-1\">{{totalRecords}}</span>\r\n  </div>\r\n  <div *ngIf=\"totalRecords == 0\" class=\"subtitle pt-5 pl-7\">\r\n      <span i18n=\"@@NoExistenRegistros\">No existen registros</span>\r\n  </div>\r\n  <div class=\"paginate\">\r\n      <span class=\"relative z-0 inline-flex shadow-sm\">\r\n          <button *ngIf=\"canGoFirst()\" (click)=\"goToFirst()\" type=\"button\" class=\"first\">\r\n              <span i18n=\"@@Primero\">Primero</span>\r\n          </button>\r\n          <button *ngIf=\"canGoPrevious()\" (click)=\"goToPrevious()\" type=\"button\" class=\"page\">\r\n              <svg class=\"h-5 w-5\" fill=\"currentColor\" viewBox=\"0 0 20 20\">\r\n                  <path fill-rule=\"evenodd\" d=\"M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z\" clip-rule=\"evenodd\" />\r\n              </svg>\r\n          </button>\r\n          <button (click)=\"paginate(item)\" [class.active]=\"page == item\" *ngFor=\"let item of pages\" type=\"button\" class=\"page\">\r\n              {{item}}\r\n          </button>\r\n          <button *ngIf=\"canGoNext()\" (click)=\"goToNext()\" type=\"button\" class=\"page\">\r\n              <svg class=\"h-5 w-5\" fill=\"currentColor\" viewBox=\"0 0 20 20\">\r\n                  <path fill-rule=\"evenodd\" d=\"M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z\" clip-rule=\"evenodd\" />\r\n              </svg>\r\n          </button>\r\n          <button *ngIf=\"canGoLast()\" (click)=\"goToLast()\" type=\"button\" class=\"last\">\r\n              <span i18n=\"@@Ultimo\">\u00DAltimo</span>\r\n          </button>\r\n      </span>\r\n  </div>\r\n</div>\r\n",
                    styles: [""]
                },] }
    ];
    PaginationComponent.ctorParameters = function () { return []; };
    PaginationComponent.propDecorators = {
        totalRecords: [{ type: core.Input }],
        pageSize: [{ type: core.Input }],
        page: [{ type: core.Input }],
        maxSize: [{ type: core.Input }],
        pageChange: [{ type: core.Output }],
        pageChanged: [{ type: core.Output }]
    };

    var SearchboxComponent = /** @class */ (function () {
        function SearchboxComponent() {
            this.search = new core.EventEmitter();
            this.searchTerms = new rxjs.Subject();
            this.open = false;
        }
        SearchboxComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.searchTerms.pipe(operators.debounceTime(500), operators.distinctUntilChanged()).subscribe(function (x) { return _this.search.next(x); });
        };
        SearchboxComponent.prototype.searchChangeValue = function (term) {
            this.searchTerms.next(term);
        };
        return SearchboxComponent;
    }());
    SearchboxComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-searchbox',
                    template: "<div class=\"input-group\">\r\n  <span class=\"input-group-icon\">\r\n      <svg fill=\"none\" viewBox=\"0 0 24 24\">\r\n          <path d=\"M3 4a1 1 0 011-1h16a1 1 0 011 1v2.586a1 1 0 01-.293.707l-6.414 6.414a1 1 0 00-.293.707V17l-4 4v-6.586a1 1 0 00-.293-.707L3.293 7.293A1 1 0 013 6.586V4z\"></path>\r\n      </svg>\r\n  </span>\r\n  <input (keyup)=\"searchChangeValue(searchBox.value)\" type=\"text\" class=\"form-filter\" #searchBox>\r\n</div>\r\n\r\n",
                    styles: [""]
                },] }
    ];
    SearchboxComponent.ctorParameters = function () { return []; };
    SearchboxComponent.propDecorators = {
        search: [{ type: core.Output }]
    };

    var SelectComponent = /** @class */ (function () {
        function SelectComponent() {
            this.tipo = 'number';
            this.permitirVacio = false;
            this.deshabilitar = false;
            this.selectedItemChange = new core.EventEmitter();
            this.change = new core.EventEmitter();
        }
        SelectComponent.prototype.ngOnInit = function () {
        };
        SelectComponent.prototype.doChange = function (item) {
            this.selectedItemChange.emit(item);
            this.change.emit(item);
        };
        return SelectComponent;
    }());
    SelectComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-select',
                    template: "<div class=\"relative\">\r\n  <select *ngIf=\"tipo == 'number'\" class=\"form-control\" [(ngModel)]=\"selectedItem\" (change)=\"doChange(selectedItem)\" [disabled]=\"deshabilitar\">\r\n      <option *ngIf=\"permitirVacio\" [ngValue]=\"null\"></option>\r\n      <option *ngFor=\"let item of items\" [value]=\"item.keyInt\">{{item.value | remove:remove}}</option>\r\n  </select>\r\n\r\n  <select *ngIf=\"tipo == 'guid'\" class=\"form-control\" [(ngModel)]=\"selectedItem\" (change)=\"doChange(selectedItem)\" [disabled]=\"deshabilitar\">\r\n      <option *ngIf=\"permitirVacio\" [ngValue]=\"null\"></option>\r\n      <option *ngFor=\"let item of items\" [value]=\"item.keyGuid\">{{item.value | remove:remove}}</option>\r\n  </select>\r\n\r\n  <select *ngIf=\"tipo == 'string'\" class=\"form-control\" [(ngModel)]=\"selectedItem\" (change)=\"doChange(selectedItem)\" [disabled]=\"deshabilitar\">\r\n    <option *ngIf=\"permitirVacio\" [ngValue]=\"null\"></option>\r\n    <option *ngFor=\"let item of items\" [value]=\"item.key\">{{item.value | remove:remove}}</option>\r\n</select>\r\n\r\n  <div class=\"pointer-events-none absolute inset-y-0 right-0 flex items-center px-2 text-neutral-700\">\r\n      <svg class=\"fill-current h-4 w-4\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 20 20\">\r\n          <path d=\"M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z\" />\r\n      </svg>\r\n  </div>\r\n</div>\r\n",
                    styles: [""]
                },] }
    ];
    SelectComponent.ctorParameters = function () { return []; };
    SelectComponent.propDecorators = {
        items: [{ type: core.Input }],
        tipo: [{ type: core.Input }],
        remove: [{ type: core.Input }],
        permitirVacio: [{ type: core.Input }],
        deshabilitar: [{ type: core.Input }],
        selectedItem: [{ type: core.Input }],
        selectedItemChange: [{ type: core.Output }],
        change: [{ type: core.Output }]
    };

    var RemovePipe = /** @class */ (function () {
        function RemovePipe() {
        }
        RemovePipe.prototype.transform = function (value, until) {
            if (!value || !until)
                return value;
            var idx = value.indexOf(until);
            if (idx == -1)
                return value;
            return value.substr(idx + 1);
        };
        return RemovePipe;
    }());
    RemovePipe.decorators = [
        { type: core.Pipe, args: [{
                    name: 'remove'
                },] }
    ];

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (b.hasOwnProperty(p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, exports) {
        for (var p in m)
            if (p !== "default" && !exports.hasOwnProperty(p))
                __createBinding(exports, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    ;
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (Object.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var ValidationSummaryComponent = /** @class */ (function () {
        function ValidationSummaryComponent() {
            this.mensajes = [];
            this.keys = [];
            this.keysChange = new core.EventEmitter();
        }
        Object.defineProperty(ValidationSummaryComponent.prototype, "errors", {
            set: function (error) {
                var e_1, _a, e_2, _b;
                this.mensajes = [];
                this.keys = [];
                if (!error) {
                    this.keysChange.emit(this.keys);
                    return;
                }
                window.scrollTo(0, 0);
                if (error instanceof http.HttpErrorResponse) {
                    if (error.status && error.status == 0) {
                        alert('Cannot connect to the server');
                        this.keysChange.emit(this.keys);
                        return;
                    }
                    if (error.status && error.status == 403) {
                        this.keysChange.emit(this.keys);
                        return;
                    }
                    if (error.status && error.status >= 400 && error.status < 500) {
                        if (!error.error.detail)
                            this.mensajes.push(error.error.error);
                        else
                            try {
                                for (var _c = __values(error.error.detail), _d = _c.next(); !_d.done; _d = _c.next()) {
                                    var item = _d.value;
                                    this.mensajes.push(item.value);
                                    this.keys.push(item.key);
                                }
                            }
                            catch (e_1_1) { e_1 = { error: e_1_1 }; }
                            finally {
                                try {
                                    if (_d && !_d.done && (_a = _c.return)) _a.call(_c);
                                }
                                finally { if (e_1) throw e_1.error; }
                            }
                        this.keysChange.emit(this.keys);
                        return;
                    }
                    if (error.status && error.status >= 500) {
                        if (error.error.error)
                            this.mensajes.push('Internal server error: ' + error.error.error);
                        else
                            this.mensajes.push('Internal server error: ' + error.statusText);
                        this.keysChange.emit(this.keys);
                        return;
                    }
                    this.keysChange.emit(this.keys);
                    return;
                }
                else if (error.detail) {
                    this.mensajes = [];
                    try {
                        for (var _e = __values(error.detail), _f = _e.next(); !_f.done; _f = _e.next()) {
                            var item = _f.value;
                            this.mensajes.push(item.value);
                            this.keys.push(item.key);
                        }
                    }
                    catch (e_2_1) { e_2 = { error: e_2_1 }; }
                    finally {
                        try {
                            if (_f && !_f.done && (_b = _e.return)) _b.call(_e);
                        }
                        finally { if (e_2) throw e_2.error; }
                    }
                }
                if (error.error.error)
                    this.mensajes.push(error.error.error);
                else if (error.statusText)
                    this.mensajes.push(error.statusText);
                this.keysChange.emit(this.keys);
            },
            enumerable: false,
            configurable: true
        });
        return ValidationSummaryComponent;
    }());
    ValidationSummaryComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-validation-summary',
                    template: "<div class=\"alert alert-danger mb-5\" *ngIf=\"mensajes && mensajes.length > 0\">\r\n    <div class=\"flex\">\r\n        <svg fill=\"none\" stroke=\"currentColor\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-width=\"2\" viewBox=\"0 0 24 24\">\r\n            <path d=\"M12 8v4m0 4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z\"></path>\r\n        </svg>\r\n        <span class=\"font-bold\" i18n=\"@@SeHanProducidoErrores\">Se han producido los errores siguientes</span>\r\n    </div>\r\n    <ul class=\"mt-3 pl-15 font-semibold\">\r\n        <li *ngFor=\"let mensaje of mensajes\">\r\n            {{mensaje}}\r\n        </li>\r\n    </ul>\r\n</div>\r\n",
                    styles: [""]
                },] }
    ];
    ValidationSummaryComponent.propDecorators = {
        keysChange: [{ type: core.Output }],
        errors: [{ type: core.Input }]
    };

    var ClickOutsideDirective = /** @class */ (function () {
        function ClickOutsideDirective(elementRef) {
            this.elementRef = elementRef;
            this.clickOutside = new core.EventEmitter();
        }
        ClickOutsideDirective.prototype.onClick = function (target) {
            var clickedInside = this.elementRef.nativeElement.contains(target);
            if (!clickedInside) {
                this.clickOutside.emit();
            }
        };
        return ClickOutsideDirective;
    }());
    ClickOutsideDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[clickOutside]',
                },] }
    ];
    ClickOutsideDirective.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    ClickOutsideDirective.propDecorators = {
        clickOutside: [{ type: core.Output }],
        onClick: [{ type: core.HostListener, args: ['document:click', ['$event.target'],] }]
    };

    var ValidationDirective = /** @class */ (function () {
        function ValidationDirective(el, renderer) {
            this.el = el;
            this.renderer = renderer;
        }
        ValidationDirective.prototype.ngAfterViewInit = function () {
            var _this = this;
            this.appValidation.keysChange.subscribe(function (keys) {
                _this.renderer.removeClass(_this.el.nativeElement, 'is-invalid');
                var existe = (_this.el.nativeElement.name && keys.filter(function (x) { return x.toLowerCase() == _this.el.nativeElement.name.toLowerCase(); }))
                    || (_this.el.nativeElement.id && keys.filter(function (x) { return x.toLowerCase() == _this.el.nativeElement.id.toLowerCase(); }));
                if (existe.length > 0)
                    _this.renderer.addClass(_this.el.nativeElement, 'is-invalid');
            });
        };
        return ValidationDirective;
    }());
    ValidationDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[twValidation]'
                },] }
    ];
    ValidationDirective.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 }
    ]; };
    ValidationDirective.propDecorators = {
        appValidation: [{ type: core.Input }]
    };

    var TailwindDirectivesModule = /** @class */ (function () {
        function TailwindDirectivesModule() {
        }
        return TailwindDirectivesModule;
    }());
    TailwindDirectivesModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [ClickOutsideDirective, ValidationDirective],
                    exports: [
                        ClickOutsideDirective,
                        ValidationDirective
                    ]
                },] }
    ];

    var CalendarComponent = /** @class */ (function () {
        function CalendarComponent(locale) {
            this.locale = locale;
            this.showWeekend = false;
            this.events = [];
            this.clickEvent = new core.EventEmitter();
            this.clickDay = new core.EventEmitter();
            this.loadEvents = new core.EventEmitter();
            this.view = 'month';
        }
        CalendarComponent.prototype.ngOnInit = function () { };
        CalendarComponent.prototype.clickDayMonth = function (day) {
            var fecha = new Date(day.year, day.month, day.day);
            this.view = 'week';
            this.weekCalendar.goTo(fecha);
        };
        CalendarComponent.prototype.clickDayWeek = function (day) {
            var fecha = new Date(day.year, day.month, day.day);
            this.clickDay.emit(fecha);
        };
        CalendarComponent.prototype.changeView = function (view) {
            this.view = view;
            switch (view) {
                case 'week':
                    this.weekCalendar.getDates();
                    break;
                case 'month':
                    this.monthCalendar.getDates();
                    break;
            }
        };
        CalendarComponent.prototype.refresh = function (e) {
            if (e.view == this.view && e.fechaIni && e.fechaFin)
                this.loadEvents.emit(e);
        };
        CalendarComponent.prototype.goTo = function (date) {
            switch (this.view) {
                case 'week':
                    this.weekCalendar.goTo(date);
                    break;
                case 'month':
                    this.monthCalendar.goTo(date);
                    break;
            }
        };
        return CalendarComponent;
    }());
    CalendarComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-calendar',
                    template: " <div id=\"calendar\">\r\n    <tw-calendar-month #monthCalendar [display]=\"view == 'month'\" (clickEvent)=\"clickEvent.emit($event)\" (loadEvents)=\"refresh($event)\" (changeView)=\"changeView($event)\" (clickDay)=\"clickDayMonth($event)\" [showWeekend]=\"showWeekend\" [lang]=\"locale\" [events]=\"events\"></tw-calendar-month>\r\n\r\n    <tw-calendar-week #weekCalendar [display]=\"view == 'week'\" (clickEvent)=\"clickEvent.emit($event)\" (loadEvents)=\"refresh($event)\" (changeView)=\"changeView($event)\" (clickDay)=\"clickDayWeek($event)\" [showWeekend]=\"showWeekend\" [lang]=\"locale\" [events]=\"events\"></tw-calendar-week>\r\n</div>\r\n",
                    styles: ["#calendar{padding:10px}"]
                },] }
    ];
    CalendarComponent.ctorParameters = function () { return [
        { type: String, decorators: [{ type: core.Inject, args: [core.LOCALE_ID,] }] }
    ]; };
    CalendarComponent.propDecorators = {
        showWeekend: [{ type: core.Input }],
        events: [{ type: core.Input }],
        clickEvent: [{ type: core.Output }],
        clickDay: [{ type: core.Output }],
        loadEvents: [{ type: core.Output }],
        monthCalendar: [{ type: core.ViewChild, args: ['monthCalendar',] }],
        weekCalendar: [{ type: core.ViewChild, args: ['weekCalendar',] }]
    };

    var CalendarWeekDTO = /** @class */ (function () {
        function CalendarWeekDTO() {
        }
        return CalendarWeekDTO;
    }());
    var CalendarDayDTO = /** @class */ (function () {
        function CalendarDayDTO() {
            this.events = [];
        }
        return CalendarDayDTO;
    }());
    var CalendarEventDTO = /** @class */ (function () {
        function CalendarEventDTO() {
        }
        Object.defineProperty(CalendarEventDTO.prototype, "time", {
            get: function () {
                return this.date.getHours().toString().padStart(2, '0') + ':' + this.date.getMinutes().toString().padStart(2, '0');
            },
            enumerable: false,
            configurable: true
        });
        return CalendarEventDTO;
    }());

    var CalendarMonthComponent = /** @class */ (function () {
        function CalendarMonthComponent() {
            this.loadEvents = new core.EventEmitter();
            this.changeView = new core.EventEmitter();
            this.clickEvent = new core.EventEmitter();
            this.clickDay = new core.EventEmitter();
            this._events = [];
            this.fecha = new Date();
            this.weeks = [];
            this.months = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre',
                'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
            this.days = ['lun', 'mar', 'mié', 'jue', 'vie', 'sáb', 'dom',
                'mon', 'tue', 'wed', 'thu', 'fri', 'sat', 'sun'];
            this.month = 0;
            this.langNumber = 0;
            this.month = this.fecha.getMonth();
            this.year = this.fecha.getFullYear();
        }
        Object.defineProperty(CalendarMonthComponent.prototype, "events", {
            set: function (value) {
                this._events = value;
                this.refresh();
            },
            enumerable: false,
            configurable: true
        });
        CalendarMonthComponent.prototype.ngOnInit = function () { };
        CalendarMonthComponent.prototype.ngAfterContentInit = function () {
            var _this = this;
            this.month = this.fecha.getMonth();
            this.year = this.fecha.getFullYear();
            if (this.lang.startsWith('en'))
                this.langNumber = 1;
            setTimeout(function () { return _this.getDates(); });
        };
        CalendarMonthComponent.prototype.back = function () {
            if (this.month == 0) {
                this.year--;
                this.month = 11;
            }
            else
                this.month--;
            this.fecha = new Date(this.year, this.month, 1);
            this.getDates();
        };
        CalendarMonthComponent.prototype.next = function () {
            if (this.month == 11) {
                this.month = 0;
                this.year++;
            }
            else
                this.month++;
            this.fecha = new Date(this.year, this.month, 1);
            this.getDates();
        };
        CalendarMonthComponent.prototype.getDates = function () {
            this.weeks = [];
            var year = this.year;
            var month = this.month;
            var day = 1;
            var fecha = new Date(year, month, day);
            while (fecha.getDay() != 1) {
                fecha.setDate(fecha.getDate() - 1);
            }
            var fechaIni = new Date(fecha.getFullYear(), fecha.getMonth(), fecha.getDate());
            var fechaFin = new Date(fecha.getFullYear(), fecha.getMonth(), fecha.getDate());
            fechaFin.setDate(fechaIni.getDate() + 6 * 7);
            // Fechas
            for (var w = 0; w < 6; w++) {
                var week = new CalendarWeekDTO();
                week.days = [];
                this.weeks.push(week);
                for (var d = 0; d <= 6; d++) {
                    var calDay = new CalendarDayDTO();
                    calDay.day = fecha.getDate();
                    calDay.month = fecha.getMonth();
                    calDay.year = fecha.getFullYear();
                    calDay.today = fecha.getDate() == new Date().getDate() &&
                        fecha.getMonth() == new Date().getMonth() &&
                        fecha.getFullYear() == new Date().getFullYear();
                    calDay.out = fecha.getMonth() != this.month;
                    if ((fecha.getDay() != 0 && fecha.getDay() != 6) || this.showWeekend)
                        week.days.push(calDay);
                    fecha.setDate(fecha.getDate() + 1);
                }
            }
            // Recarga de eventos
            this.loadEvents.emit({ view: 'month', fechaIni: fechaIni, fechaFin: fechaFin });
        };
        CalendarMonthComponent.prototype.refresh = function () {
            var e_1, _a, e_2, _b, e_3, _c;
            if (!this._events)
                this._events = [];
            try {
                for (var _d = __values(this.weeks), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var week = _e.value;
                    try {
                        for (var _f = (e_2 = void 0, __values(week.days)), _g = _f.next(); !_g.done; _g = _f.next()) {
                            var calDay = _g.value;
                            calDay.events = [];
                            try {
                                for (var _h = (e_3 = void 0, __values(this._events)), _j = _h.next(); !_j.done; _j = _h.next()) {
                                    var event = _j.value;
                                    if (calDay.day == event.date.getDate() &&
                                        calDay.month == event.date.getMonth() &&
                                        calDay.year == event.date.getFullYear())
                                        calDay.events.push(event);
                                }
                            }
                            catch (e_3_1) { e_3 = { error: e_3_1 }; }
                            finally {
                                try {
                                    if (_j && !_j.done && (_c = _h.return)) _c.call(_h);
                                }
                                finally { if (e_3) throw e_3.error; }
                            }
                        }
                    }
                    catch (e_2_1) { e_2 = { error: e_2_1 }; }
                    finally {
                        try {
                            if (_g && !_g.done && (_b = _f.return)) _b.call(_f);
                        }
                        finally { if (e_2) throw e_2.error; }
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_e && !_e.done && (_a = _d.return)) _a.call(_d);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        CalendarMonthComponent.prototype.clickDia = function (day) {
            this.clickDay.emit(day);
        };
        CalendarMonthComponent.prototype.goTo = function (date) {
            this.fecha = date;
            this.month = this.fecha.getMonth();
            this.year = this.fecha.getFullYear();
            this.getDates();
        };
        return CalendarMonthComponent;
    }());
    CalendarMonthComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-calendar-month',
                    template: "<div [class.hidden]=\"!display\">\r\n    <div class=\"mx-4 flex justify-between\">\r\n        <div>\r\n            <button class=\"btn-calendar rounded-l-lg\" (click)=\"back()\"><i class=\"fas fa-caret-left\"></i></button>\r\n            <button class=\"btn-calendar rounded-r-lg\" (click)=\"next()\"><i class=\"fas fa-caret-right\"></i></button>\r\n        </div>\r\n        <h2 class=\"text-center\">{{months[month + langNumber * 12]}} {{year}}</h2>\r\n        <div>\r\n            <button class=\"btn-calendar active rounded-l-lg\" (click)=\"changeView.emit('month')\">Mes</button>\r\n            <button class=\"btn-calendar rounded-r-lg\" (click)=\"changeView.emit('week')\">Semana</button>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"table-container\">\r\n        <table class=\"table-calendar\">\r\n            <tr class=\"table-calendar-header font-bold text-center\">\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[0 + langNumber * 7]}}</td>\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[1 + langNumber * 7]}}</td>\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[2 + langNumber * 7]}}</td>\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[3 + langNumber * 7]}}</td>\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[4 + langNumber * 7]}}</td>\r\n                <td [class.w-c7]=\"showWeekend\" *ngIf=\"showWeekend\">{{days[5 + langNumber * 7]}}</td>\r\n                <td [class.w-c7]=\"showWeekend\" *ngIf=\"showWeekend\">{{days[6 + langNumber * 7]}}</td>\r\n            </tr>\r\n            <tr class=\"week\" *ngFor=\"let week of weeks\">\r\n                <td *ngFor=\"let day of week.days\" [class.bg-gray]=\"day.out\" [class.bg-today]=\"day.today\" class=\"cell\" (click)=\"clickDia(day)\">\r\n                    <div class=\"day\">{{day.day}}</div>\r\n\r\n                    <div *ngFor=\"let event of day.events\" class=\"pointer evento {{event.class}}\" (click)=\"$event.stopPropagation();clickEvent.emit(event)\">\r\n                        <span class=\"hora\">{{event.time}}</span>\r\n                        <span class=\"nombre\">{{event.title}}</span>\r\n                        <span class=\"comentario\">{{event.comments}}</span>\r\n                    </div>\r\n                </td>\r\n            </tr>\r\n        </table>\r\n    </div>\r\n</div>\r\n",
                    styles: ["h2{font-size:2rem}table{min-width:100%}table,td,th{padding:10px;vertical-align:top}.pointer{cursor:pointer}.cell{height:120px}.day{text-align:right}.w-c7{width:14.286%!important}.w-c5{width:20%!important}.evento{border-radius:5px;margin:2px 0;padding:5px}.hora{font-weight:700}.comentario,.hora,.nombre{margin-right:5px}"]
                },] }
    ];
    CalendarMonthComponent.ctorParameters = function () { return []; };
    CalendarMonthComponent.propDecorators = {
        lang: [{ type: core.Input }],
        showWeekend: [{ type: core.Input }],
        display: [{ type: core.Input }],
        loadEvents: [{ type: core.Output }],
        changeView: [{ type: core.Output }],
        clickEvent: [{ type: core.Output }],
        clickDay: [{ type: core.Output }],
        events: [{ type: core.Input }]
    };

    var CalendarWeekComponent = /** @class */ (function () {
        function CalendarWeekComponent() {
            this.loadEvents = new core.EventEmitter();
            this.changeView = new core.EventEmitter();
            this.clickEvent = new core.EventEmitter();
            this.clickDay = new core.EventEmitter();
            this.fechaIni = new Date();
            this.fechaFin = new Date();
            this._events = [];
            this.fecha = new Date();
            this.daysWeek = [];
            this.days = ['lun', 'mar', 'mié', 'jue', 'vie', 'sáb', 'dom',
                'mon', 'tue', 'wed', 'thu', 'fri', 'sat', 'sun'];
            this.langNumber = 0;
        }
        Object.defineProperty(CalendarWeekComponent.prototype, "events", {
            set: function (value) {
                this._events = value;
                this.refresh();
            },
            enumerable: false,
            configurable: true
        });
        CalendarWeekComponent.prototype.ngOnInit = function () { };
        CalendarWeekComponent.prototype.ngAfterContentInit = function () {
            var _this = this;
            if (this.lang.startsWith('en'))
                this.langNumber = 1;
            setTimeout(function () { return _this.getDates(); });
        };
        CalendarWeekComponent.prototype.back = function () {
            this.fecha.setDate(this.fecha.getDate() - 7);
            this.getDates();
        };
        CalendarWeekComponent.prototype.next = function () {
            this.fecha.setDate(this.fecha.getDate() + 7);
            this.getDates();
        };
        CalendarWeekComponent.prototype.getDates = function () {
            this.daysWeek = [];
            var year = this.fecha.getFullYear();
            var month = this.fecha.getMonth();
            var day = this.fecha.getDate();
            var fecha = new Date(year, month, day);
            while (fecha.getDay() != 1) {
                fecha.setDate(fecha.getDate() - 1);
            }
            this.fechaIni = new Date(fecha.getFullYear(), fecha.getMonth(), fecha.getDate());
            this.fechaFin = new Date(fecha.getFullYear(), fecha.getMonth(), fecha.getDate());
            this.fechaFin.setDate(this.fechaIni.getDate() + 7);
            // Fechas
            for (var d = 0; d <= 6; d++) {
                var calDay = new CalendarDayDTO();
                calDay.day = fecha.getDate();
                calDay.month = fecha.getMonth();
                calDay.year = fecha.getFullYear();
                calDay.today = fecha.getDate() == new Date().getDate() &&
                    fecha.getMonth() == new Date().getMonth() &&
                    fecha.getFullYear() == new Date().getFullYear();
                if ((fecha.getDay() != 0 && fecha.getDay() != 6) || this.showWeekend)
                    this.daysWeek.push(calDay);
                fecha.setDate(fecha.getDate() + 1);
            }
            // Recarga de eventos
            this.loadEvents.emit({ view: 'week', fechaIni: this.fechaIni, fechaFin: this.fechaFin });
        };
        CalendarWeekComponent.prototype.refresh = function () {
            var e_1, _a, e_2, _b;
            if (!this._events)
                this._events = [];
            try {
                for (var _c = __values(this.daysWeek), _d = _c.next(); !_d.done; _d = _c.next()) {
                    var calDay = _d.value;
                    calDay.events = [];
                    try {
                        for (var _e = (e_2 = void 0, __values(this._events)), _f = _e.next(); !_f.done; _f = _e.next()) {
                            var event = _f.value;
                            if (calDay.day == event.date.getDate() &&
                                calDay.month == event.date.getMonth() &&
                                calDay.year == event.date.getFullYear())
                                calDay.events.push(event);
                        }
                    }
                    catch (e_2_1) { e_2 = { error: e_2_1 }; }
                    finally {
                        try {
                            if (_f && !_f.done && (_b = _e.return)) _b.call(_e);
                        }
                        finally { if (e_2) throw e_2.error; }
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_d && !_d.done && (_a = _c.return)) _a.call(_c);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        CalendarWeekComponent.prototype.clickDia = function (day) {
            this.clickDay.emit(day);
        };
        CalendarWeekComponent.prototype.goTo = function (date) {
            this.fecha = date;
            this.getDates();
        };
        return CalendarWeekComponent;
    }());
    CalendarWeekComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-calendar-week',
                    template: "<div [class.hidden]=\"!display\">\r\n    <div class=\"mx-4 flex justify-between\">\r\n        <div>\r\n            <button class=\"btn-calendar rounded-l-lg\" (click)=\"back()\"><i class=\"fas fa-caret-left\"></i></button>\r\n            <button class=\"btn-calendar rounded-r-lg\" (click)=\"next()\"><i class=\"fas fa-caret-right\"></i></button>\r\n        </div>\r\n        <h2 class=\"text-center\">{{fechaIni | formatDate}} - {{fechaFin | formatDate}}</h2>\r\n        <div>\r\n            <button class=\"btn-calendar rounded-l-lg\" (click)=\"changeView.emit('month')\">Mes</button>\r\n            <button class=\"btn-calendar active rounded-r-lg\" (click)=\"changeView.emit('week')\">Semana</button>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"table-container\">\r\n        <table class=\"table-calendar\">\r\n            <tr class=\"table-calendar-header font-bold text-center\">\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[0 + langNumber * 7]}}</td>\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[1 + langNumber * 7]}}</td>\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[2 + langNumber * 7]}}</td>\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[3 + langNumber * 7]}}</td>\r\n                <td [class.w-c5]=\"!showWeekend\" [class.w-c7]=\"showWeekend\">{{days[4 + langNumber * 7]}}</td>\r\n                <td [class.w-c7]=\"showWeekend\" *ngIf=\"showWeekend\">{{days[5 + langNumber * 7]}}</td>\r\n                <td [class.w-c7]=\"showWeekend\" *ngIf=\"showWeekend\">{{days[6 + langNumber * 7]}}</td>\r\n            </tr>\r\n            <tr>\r\n                <td *ngFor=\"let day of daysWeek\" [class.bg-gray]=\"day.out\" [class.bg-today]=\"day.today\" class=\"cell\" (click)=\"clickDia(day)\">\r\n                    <div class=\"day\">{{day.day}}</div>\r\n\r\n                    <div *ngFor=\"let event of day.events\" class=\"pointer evento {{event.class}}\" (click)=\"$event.stopPropagation();clickEvent.emit(event)\">\r\n                        <span class=\"hora\">{{event.time}}</span>\r\n                        <span class=\"nombre\">{{event.title}}</span>\r\n                        <span class=\"comentario\">{{event.comments}}</span>\r\n                    </div>\r\n                </td>\r\n            </tr>\r\n        </table>\r\n    </div>\r\n</div>\r\n",
                    styles: ["h2{font-size:2rem}table{min-width:100%}table,td,th{padding:10px;vertical-align:top}.pointer{cursor:pointer}.cell{height:500px}.day{text-align:right}.w-c7{width:14.286%!important}.w-c5{width:20%!important}.evento{border-radius:5px;margin:2px 0;padding:5px}.hora{font-weight:700}.comentario,.hora,.nombre{margin-right:5px}"]
                },] }
    ];
    CalendarWeekComponent.ctorParameters = function () { return []; };
    CalendarWeekComponent.propDecorators = {
        lang: [{ type: core.Input }],
        showWeekend: [{ type: core.Input }],
        display: [{ type: core.Input }],
        loadEvents: [{ type: core.Output }],
        changeView: [{ type: core.Output }],
        clickEvent: [{ type: core.Output }],
        clickDay: [{ type: core.Output }],
        events: [{ type: core.Input }]
    };

    var FormatDatePipe = /** @class */ (function () {
        function FormatDatePipe(locale) {
            this.locale = locale;
        }
        FormatDatePipe.prototype.transform = function (date, tipo) {
            if (tipo === void 0) { tipo = 'fecha'; }
            if (!date)
                return '';
            var d = new Date(date);
            var formato = '';
            if (tipo.toLowerCase() == 'hora')
                formato = 'HH:mm';
            if (tipo.toLowerCase() == 'fecha')
                formato = 'dd/MM/yyyy';
            if (tipo.toLowerCase() == 'fechahora')
                formato = 'dd/MM/yyyy HH:mm';
            if (tipo.toLowerCase() == 'fechadia')
                formato = 'EEEE, dd/MM/yyyy';
            if (this.locale === 'en' && tipo.toLowerCase() == 'fecha')
                formato = 'MM/dd/yyyy';
            if (this.locale === 'en' && tipo.toLowerCase() == 'fechahora')
                formato = 'MM/dd/yyyy HH:mm';
            var datePipe = new common.DatePipe(this.locale);
            return datePipe.transform(date, formato);
        };
        return FormatDatePipe;
    }());
    FormatDatePipe.decorators = [
        { type: core.Pipe, args: [{
                    name: 'formatDate'
                },] }
    ];
    FormatDatePipe.ctorParameters = function () { return [
        { type: String, decorators: [{ type: core.Inject, args: [core.LOCALE_ID,] }] }
    ]; };

    var SharedModule = /** @class */ (function () {
        function SharedModule() {
        }
        return SharedModule;
    }());
    SharedModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [FormatDatePipe],
                    imports: [
                        common.CommonModule
                    ],
                    exports: [
                        FormatDatePipe
                    ]
                },] }
    ];

    var DropdownButtonComponent = /** @class */ (function () {
        function DropdownButtonComponent() {
            this.left = true;
            this.open = false;
        }
        DropdownButtonComponent.prototype.ngOnInit = function () {
        };
        return DropdownButtonComponent;
    }());
    DropdownButtonComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-dropdown-button',
                    template: "<div class=\"relative dropdown-button\" [class]=\"class\"  (click)=\"open = !open\" (clickOutside)=\"open = false\">\n    <span *ngIf=\"label\" class=\"dropdown-button-title pointer\" [class.active]=\"open\">{{label}}</span>\n    <div class=\"dropdown-button-items\" [class.hidden]=\"!open\">\n        <ng-content></ng-content>\n    </div>\n</div>\n",
                    styles: [""]
                },] }
    ];
    DropdownButtonComponent.ctorParameters = function () { return []; };
    DropdownButtonComponent.propDecorators = {
        label: [{ type: core.Input }],
        left: [{ type: core.Input }],
        right: [{ type: core.Input }],
        class: [{ type: core.Input }]
    };

    var TailwindComponentsModule = /** @class */ (function () {
        function TailwindComponentsModule() {
        }
        return TailwindComponentsModule;
    }());
    TailwindComponentsModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [
                        ButtonComponent,
                        DropdownComponent,
                        AutocompleteComponent,
                        ModalComponent,
                        PaginationComponent,
                        SearchboxComponent,
                        SelectComponent,
                        HighlightPipe,
                        RemovePipe,
                        ValidationSummaryComponent,
                        CalendarComponent,
                        CalendarMonthComponent,
                        CalendarWeekComponent,
                        DropdownButtonComponent
                    ],
                    imports: [
                        common.CommonModule,
                        TailwindDirectivesModule,
                        forms.FormsModule,
                        router.RouterModule,
                        SharedModule
                    ],
                    exports: [
                        ButtonComponent,
                        DropdownComponent,
                        AutocompleteComponent,
                        ModalComponent,
                        PaginationComponent,
                        SearchboxComponent,
                        SelectComponent,
                        ValidationSummaryComponent,
                        CalendarComponent,
                        DropdownButtonComponent
                    ]
                },] }
    ];

    var SorterComponent = /** @class */ (function () {
        function SorterComponent() {
        }
        SorterComponent.prototype.ngOnInit = function () {
        };
        return SorterComponent;
    }());
    SorterComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'tw-sorter',
                    template: "<ng-container *ngIf=\"column && sortField\">\r\n    <div class=\"flex\" [class.text-teal-500]=\"sortField.toLowerCase() == column.toLowerCase()\">\r\n        <div>\r\n            <ng-content></ng-content>\r\n        </div>\r\n        <span *ngIf=\"sortField.toLowerCase() == column.toLowerCase() && sortOrder == 'asc'\">\r\n            <svg fill=\"none\" stroke=\"currentColor\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-width=\"2\" viewBox=\"0 0 24 24\" class=\"w-4 h-4 ml-1\"><path d=\"M5 15l7-7 7 7\"></path></svg>\r\n        </span>\r\n        <span *ngIf=\"sortField.toLowerCase() == column.toLowerCase() && sortOrder == 'desc'\">\r\n            <svg fill=\"none\" stroke=\"currentColor\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-width=\"2\" viewBox=\"0 0 24 24\" class=\"w-4 h-4 ml-1\"><path d=\"M19 9l-7 7-7-7\"></path></svg>\r\n        </span>\r\n    </div>\r\n\r\n</ng-container>\r\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    styles: [""]
                },] }
    ];
    SorterComponent.ctorParameters = function () { return []; };
    SorterComponent.propDecorators = {
        column: [{ type: core.Input }],
        sortField: [{ type: core.Input }],
        sortOrder: [{ type: core.Input }]
    };

    var TailwindTablesModule = /** @class */ (function () {
        function TailwindTablesModule() {
        }
        return TailwindTablesModule;
    }());
    TailwindTablesModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [SorterComponent],
                    imports: [
                        common.CommonModule
                    ],
                    exports: [
                        SorterComponent
                    ]
                },] }
    ];

    var PaginationParameters = /** @class */ (function () {
        function PaginationParameters() {
            this.page = 1;
            this.rows = 20;
        }
        return PaginationParameters;
    }());

    var TableSelect = /** @class */ (function () {
        function TableSelect(key) {
            this.seleccion = [];
            this.idxUltimoItem = 0;
            this.key = key;
        }
        Object.defineProperty(TableSelect.prototype, "items", {
            get: function () {
                return this.seleccion;
            },
            set: function (value) {
                this.seleccion = value;
            },
            enumerable: false,
            configurable: true
        });
        TableSelect.prototype.selecciona = function (item, allItems, event) {
            var idx = allItems.findIndex(function (x) { return x == item; });
            if (event.shiftKey) {
                if (this.idxUltimoItem == idx)
                    return;
                var seleccionar = !this.contains(item);
                if (this.idxUltimoItem < idx) {
                    for (var i = this.idxUltimoItem; i <= idx; i++) {
                        // Selección hacia abajo
                        if (seleccionar)
                            this.set(allItems[i]);
                        // Deselección hacia abajo
                        if (!seleccionar)
                            this.unset(allItems[i]);
                    }
                }
                if (this.idxUltimoItem > idx) {
                    for (var i = idx; i <= this.idxUltimoItem; i++) {
                        // Selección hacia arriba
                        if (seleccionar)
                            this.set(allItems[i]);
                        // Deselección hacia arriba
                        if (!seleccionar)
                            this.unset(allItems[i]);
                    }
                    if (!seleccionar)
                        this.set(allItems[idx]);
                }
            }
            else
                this.toggle(item);
            this.idxUltimoItem = idx;
        };
        TableSelect.prototype.contains = function (item) {
            var _this = this;
            return this.seleccion.findIndex(function (x) { return x[_this.key] == item[_this.key]; }) > -1;
        };
        TableSelect.prototype.reset = function () {
            this.seleccion = [];
            this.idxUltimoItem = 0;
        };
        TableSelect.prototype.toggle = function (item) {
            var _this = this;
            var idx = this.seleccion.findIndex(function (x) { return x[_this.key] == item[_this.key]; });
            if (idx == -1)
                this.set(item);
            else
                this.unset(item);
        };
        TableSelect.prototype.set = function (item) {
            var _this = this;
            var idx = this.seleccion.findIndex(function (x) { return x[_this.key] == item[_this.key]; });
            if (idx == -1)
                this.seleccion.push(item);
        };
        TableSelect.prototype.unset = function (item) {
            var _this = this;
            var idx = this.seleccion.findIndex(function (x) { return x[_this.key] == item[_this.key]; });
            if (idx > -1)
                this.seleccion.splice(idx, 1);
        };
        return TableSelect;
    }());

    var TableSort = /** @class */ (function () {
        function TableSort(criterios) {
            this.sort$ = new rxjs.ReplaySubject(1);
            this.criterios = criterios;
        }
        TableSort.prototype.sort = function (field) {
            if (this.criterios.sortField == field) {
                this.criterios.sortOrder = this.criterios.sortOrder == 'asc' ? 'desc' : 'asc';
            }
            else {
                this.criterios.sortField = field;
                this.criterios.sortOrder = 'asc';
            }
            this.sort$.next(this.criterios);
        };
        return TableSort;
    }());

    /*
     * Public API Surface of tailwind-lib
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.AutocompleteComponent = AutocompleteComponent;
    exports.ButtonComponent = ButtonComponent;
    exports.CalendarComponent = CalendarComponent;
    exports.CalendarDayDTO = CalendarDayDTO;
    exports.CalendarEventDTO = CalendarEventDTO;
    exports.CalendarWeekDTO = CalendarWeekDTO;
    exports.ClickOutsideDirective = ClickOutsideDirective;
    exports.DropdownButtonComponent = DropdownButtonComponent;
    exports.DropdownComponent = DropdownComponent;
    exports.ModalComponent = ModalComponent;
    exports.PaginationComponent = PaginationComponent;
    exports.PaginationParameters = PaginationParameters;
    exports.SearchboxComponent = SearchboxComponent;
    exports.SelectComponent = SelectComponent;
    exports.SorterComponent = SorterComponent;
    exports.TableSelect = TableSelect;
    exports.TableSort = TableSort;
    exports.TailwindComponentsModule = TailwindComponentsModule;
    exports.TailwindDirectivesModule = TailwindDirectivesModule;
    exports.TailwindTablesModule = TailwindTablesModule;
    exports.ValidationDirective = ValidationDirective;
    exports.ValidationSummaryComponent = ValidationSummaryComponent;
    exports.ɵa = simpleFadeAnimation;
    exports.ɵb = HighlightPipe;
    exports.ɵc = RemovePipe;
    exports.ɵd = CalendarMonthComponent;
    exports.ɵe = CalendarWeekComponent;
    exports.ɵf = SharedModule;
    exports.ɵg = FormatDatePipe;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=tailwind-lib.umd.js.map
